Uses of Interface
com.eqixiac.equinix.internetaccess.model.AccountDetails
Packages that use AccountDetails
Package
Description
Internet Access client interfaces for the Equinix Java SDK.
-
Uses of AccountDetails in com.eqixiac.equinix.internetaccess.client
Methods in com.eqixiac.equinix.internetaccess.client that return AccountDetailsModifier and TypeMethodDescriptionInternetAccessAccounts.getByNumber(String accountNumber) Returns the account with the given account number.Methods in com.eqixiac.equinix.internetaccess.client that return types with arguments of type AccountDetailsModifier and TypeMethodDescriptionReturns the accounts available at the given IBX.Returns the accounts available at the given IBX, narrowed to a project. -
Uses of AccountDetails in com.eqixiac.equinix.internetaccess.client.implementation
Methods in com.eqixiac.equinix.internetaccess.client.implementation that return AccountDetailsMethods in com.eqixiac.equinix.internetaccess.client.implementation that return types with arguments of type AccountDetailsModifier and TypeMethodDescription -
Uses of AccountDetails in com.eqixiac.equinix.internetaccess.client.internal
Subinterfaces with type arguments of type AccountDetails in com.eqixiac.equinix.internetaccess.client.internalModifier and TypeInterfaceDescriptioninterfaceInternal client for the Equinix Internet Access (EIA) v1 account lookups:GET /internetAccess/v1/accounts,GET /internetAccess/v1/accounts/{accountNumber}andGET /internetAccess/v1/accounts/{accountNumber}/agreements. -
Uses of AccountDetails in com.eqixiac.equinix.internetaccess.client.internal.implementation
Subclasses with type arguments of type AccountDetails in com.eqixiac.equinix.internetaccess.client.internal.implementationModifier and TypeClassDescriptionclassInternal client implementation for the Equinix Internet Access (EIA) v1 account lookups (GET /internetAccess/v1/accounts,GET /internetAccess/v1/accounts/{accountNumber}andGET /internetAccess/v1/accounts/{accountNumber}/agreements).Methods in com.eqixiac.equinix.internetaccess.client.internal.implementation that return AccountDetailsModifier and TypeMethodDescriptionprotected AccountDetailsAccountClientImpl.wrap(AccountDetailsJson json) -
Uses of AccountDetails in com.eqixiac.equinix.internetaccess.model.json
Classes in com.eqixiac.equinix.internetaccess.model.json that implement AccountDetailsModifier and TypeClassDescriptionclassRead-only JSON model for anAccountDetailsreturned by the Equinix Internet Access (EIA) v1 account lookups — the list (GET /internetAccess/v1/accounts) and the single-account get (GET /internetAccess/v1/accounts/{accountNumber}).